Bug 89543 - SIDEBAR: Reducing the height of the Line section
Summary: SIDEBAR: Reducing the height of the Line section
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: Sidebar-Properties Sidebar-Properties-Line
  Show dependency treegraph
 
Reported: 2015-02-21 22:17 UTC by Yousuf Philips (jay)
Modified: 2017-02-04 13:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
proposed change (49.60 KB, image/png)
2015-02-21 22:17 UTC, Yousuf Philips (jay)
Details
calligra stage - shape tab (45.59 KB, image/png)
2015-02-25 22:19 UTC, Yousuf Philips (jay)
Details
iwork keynote border section (38.84 KB, image/png)
2015-02-25 22:20 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-02-21 22:17:48 UTC
Created attachment 113585 [details]
proposed change

The Line section of the Properties tab of the sidebar is quite large in height and way to reduce its height is to combine the style and arrow settings.

It would also be useful to eliminate the corner style and cap style parts as these are not highly used and users still have access to these in the dialog.

With these two reductions, it would be possible to have the 'Position and Size' open by default, which is highly useful.
Comment 1 A (Andy) 2015-02-22 11:03:27 UTC
It is a good idea to condense the sidebar a little bit, but I am not sure whether it is good to combine Line and Arrow styles together.  Is it in this case intuitive enough for what the three selection fields are, that two are for the arrows and one is for the line style?  After you open the fields it is of course clear, but before you open it, is it intuitive enough?
Or otherwise, should the section name in the attached proposal be changed from "Style" to "Arrow and Line Style".  Then it would maybe be a littler clearer?

The corner and cap styles I am not using, but I have to add that I do not use that often the line styles and have actually one standard line style I use.
Comment 2 Yousuf Philips (jay) 2015-02-22 20:45:06 UTC
In the line and formatting toolbar, we have an arrow style button to select the left and right arrows and next to it the line style drop down. Though we call it arrow style, it is actually the style of the ends of the line, as you can have a circle, square, and diamond as the style. These three parts combined are the style of the line.
Comment 3 Robinson Tryon (qubit) 2015-02-25 21:40:10 UTC
ux-advise -> NEW
Comment 4 Yousuf Philips (jay) 2015-02-25 22:19:09 UTC
Created attachment 113692 [details]
calligra stage - shape tab

I believe this is where i had first seen the concept of having the three of them in the same row.
Comment 5 Yousuf Philips (jay) 2015-02-25 22:20:27 UTC
Created attachment 113693 [details]
iwork keynote border section

Here is an image of iwork keynote's shapes border section which is equivalent to our line section.
Comment 6 Yousuf Philips (jay) 2015-09-01 07:06:56 UTC
So Rishabh started the work of the reduction with ( https://gerrit.libreoffice.org/#/c/16264/ ) which landed in 5.0, but work is still needed to complete it.

@Rishabh: Would be good to change the width control into a combobox with the same presets and add the transparency slider.
Comment 7 Adolfo Jayme 2015-09-13 10:11:45 UTC
Attachment 113585 [details]: You’re probably assuming the word “None” is that short in the rest of languages… Not even the English string shows up completely with your proposed modification.
Comment 8 Yousuf Philips (jay) 2015-09-16 11:21:19 UTC
(In reply to Adolfo Jayme from comment #7)
> Attachment 113585 [details]: You’re probably assuming the word “None” is
> that short in the rest of languages… Not even the English string shows up
> completely with your proposed modification.

The 'none' will be removed from the arrow drop down and replaced with a line, similar to how it is in calligra (attachment 113692 [details]), WPS, and MSO.
Comment 9 Commit Notification 2015-09-22 06:21:57 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=050447a30012717643f1d056e0ba614f36e1303f

tdf#89543 Unhide arrow style drop downs

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-10-08 10:35:17 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2bd7a569720fdd6b808e6076ce7c8ded1cb6a5a7

tdf#89543: Solid line in place of 'none' start|end arrow entry

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 sergio.callegari 2015-10-20 12:55:16 UTC
My biggest issue with the line properties is with the line widths assignment.

Ideally, the Line Properties tab should "remember" the line widths that have recently been used and propose them on top (sort of what happens or is expected to happen with the font selection).

Unfortunately, the current Line Properties tab only lets one select some predefined line widths which may be completely unsuitable for what is being drawn (e.g. 0.5 pt; 0.8 pt; 1 pt... what if I need 0.2 mm, 0.5 mm, etc.?)
Comment 12 Yousuf Philips (jay) 2015-10-20 15:04:14 UTC
(In reply to sergio.callegari from comment #11)
> My biggest issue with the line properties is with the line widths assignment.

I do agree with you that the popup for width selection isnt very good, which is why i had suggested that it be changed to a combobox in comment 6.

> Ideally, the Line Properties tab should "remember" the line widths that have
> recently been used and propose them on top (sort of what happens or is
> expected to happen with the font selection).

Dont think that its good for it to remember line widths similar to font name, as most users are more likely to select from an existing list of presets than to actually type a custom value. We did the same thing with the distance field in the shadow content panel (bug 87702).

> Unfortunately, the current Line Properties tab only lets one select some
> predefined line widths which may be completely unsuitable for what is being
> drawn (e.g. 0.5 pt; 0.8 pt; 1 pt... what if I need 0.2 mm, 0.5 mm, etc.?)

The sidebar never provides complete access to all features, which is why we do provide a 'More Options' button in the content panel title which links to the Line dialog where you can type a value in any measurement system and it will be converted to whatever measurement system selected within the application.
Comment 13 sergio.callegari 2015-10-20 20:42:25 UTC
> Dont think that its good for it to remember line widths similar to font name, > as most users are more likely to select from an existing list of presets than > to actually type a custom value. 

OK, my font name example was not very good.

Still, remembering recent widths does not prevent from keeping a sorted list of most used widths. When there are no recently used widths the list can contain just a list of initial standard widths. If the user sticks to these standard widths, the list will never be updated. If the user starts using his own widths, these can start entering the list.

An alternative can be assuring that line widths that are used in defined styles always appear in the line properties panel.

> We did the same thing with the distance field > in the shadow content panel (bug 87702).

Line width is a completely different matter from shadow IMHO.  Shadows are mostly a decorative item. Line widths are associated to the semantics of lines in many contexts and are standardized as such.

While there is no drawing that *must* use certain shadow sizes, there are many different situations where a drawing *must* use certain line widths. If these widths cannot be put on the line properties panel, then the panel interface becomes useless (and as such, just a large loss of screen space).

> The sidebar never provides complete access to all features.

Neither did the toolbar. But it is strange to see that the sidebar provides far less features that the venerable line and filling toolbar, that at least allowed one to pick larger or thinner line widths with steppings based on the current measurement unit or to enter arbitrary line widths with the keyboard.
Comment 14 sergio.callegari 2015-10-20 20:45:24 UTC
Just to be more clear:

In 5.0.2 the panel lets one enter a custom line width, but the measurement unit is locked at "pt" which makes it rather useless.